﻿/* 
 */
 
var websocket;
var isConnected = false;

/********** WEBSOCKET **********/
function init()
{
var wsUri = 'ws://' + socketIP + ':' + socketPort + '/' + clientID + '/' + publishKey;
  websocket = new WebSocket(wsUri, ['arduino']);
  websocket.onopen    = function(evt) {onOpen(evt)}; 
  websocket.onclose   = function(evt) {onClose(evt)}; 
  websocket.onmessage = function(evt) {onMessage(evt)}; 
  websocket.onerror   = function(evt) {onError(evt)}; 
}   

function onOpen(e)
{
  isConnected = true;
  //disCon();  // in ArduinoSocketDemo.js
}

function onClose(e)
{
  isConnected = false;
  //disCon();  // in  ArduinoSocketDemo.js
}

function onMessage(e)
{
  var str = e.data.replace('\0', '');
  //commandMsg(str);  // in ArduinoSocketDemo.js
}

function onError(e)
{
  var str = e.type.replace('\0', '');
  //errorMsg(str);  // in ArduinoSocketDemo.js
}

function publish(msg)  
{
  websocket.send(msg + '\r\n');  // send message to server
}
